package com.zcloud.safetyDutyList.persistence.mapper.tasklist;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcloud.safetyDutyList.persistence.dataobject.tasklist.TaskListIssueDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TaskListIssueMapper extends BaseMapper<TaskListIssueDO> {

    IPage<TaskListIssueDO> listPage(IPage<TaskListIssueDO> iPage, Map<String, Object> params, String menuPath);

    IPage<TaskListIssueDO> listPageByTaskListQry(IPage<TaskListIssueDO> iPage, Map<String, Object> params);

    TaskListIssueDO getByTaskIssueId(String taskIssueId);

    List<TaskListIssueDO> listByTaskListId(String taskListId);

    List<TaskListIssueDO> listExpiredInProgress();

    List<TaskListIssueDO> listIssuedWithPeriod();
}
